<back to all web services

GetProjects

The following routes are available for this service:
GET/RestApi/translations/projects
"use strict";
/** @typedef {'NotStarted'|'Started'|'Completed'} */
export var ProjectStatus;
(function (ProjectStatus) {
    ProjectStatus["NotStarted"] = "NotStarted"
    ProjectStatus["Started"] = "Started"
    ProjectStatus["Completed"] = "Completed"
})(ProjectStatus || (ProjectStatus = {}));
export class GetProjects {
    /** @param {{Skip?:number,Take?:number,OrderExpression?:string,SearchText?:string,Service?:string[],ProjectStatus?:ProjectStatus,ActualSourceLanguage?:string,WithoutSourceLanguage?:boolean}} [init] */
    constructor(init) { Object.assign(this, init) }
    /** @type {?number} */
    Skip;
    /** @type {?number} */
    Take;
    /** @type {string} */
    OrderExpression;
    /** @type {string} */
    SearchText;
    /** @type {string[]} */
    Service;
    /** @type {?ProjectStatus} */
    ProjectStatus;
    /** @type {string} */
    ActualSourceLanguage;
    /** @type {boolean} */
    WithoutSourceLanguage;
}

JavaScript GetProjects DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json

To embed the response in a jsonp callback, append ?callback=myCallback

HTTP + JSON

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/translations/projects HTTP/1.1 
Host: www.imglobal.com 
Accept: application/json
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length

[{"Title":"String","Description":"String","StartDate":"\/Date(-62135596800000-0000)\/","DueDate":"\/Date(-62135596800000-0000)\/","DateSent":"\/Date(-62135596800000-0000)\/","DateCompleted":"\/Date(-62135596800000-0000)\/","SentBy":"String","Connector":{"Name":"String","Title":"String","Count":0,"Xliff":{"IsXliff":false,"IsFtp":false,"IsMachineTranslation":false}},"Status":"String","PoReference":"String","ActualSourceLanguage":{"Code":"String","Name":"String","Count":0},"TargetLanguages":[{"Code":"String","Name":"String","Count":0}],"TranslationsCount":0,"CanBeCompleted":false,"ExternalId":"String"}]